# Send a customs declaration for this online transaction's shipment

Endpoint: POST /api/v1/transactions/{transaction_id}/shippo_customs_declaration
Version: 0.1.0
Security: APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Request fields (application/json):

  - `certify` (boolean, required)

  - `certify_signer` (string, required)

  - `description` (string, required)

  - `eel_pfc` (string)

  - `incoterm` (string)

  - `mass_unit` (string, required)

  - `net_weight` (number, required)

  - `non_delivery_option` (string, required)
    Enum: "return", "abandon"

  - `origin_country` (string, required)

  - `quantity` (integer, required)

  - `value_amount` (string, required)

  - `value_currency` (string, required)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the `code` field should be used to determine
the type of error that occurred, as the text in the `error`
field may change unexpectedly.

